<?php
add_action('init', 'of_options');
if (!function_exists('of_options')) {
    function of_options() {
// VARIABLES
        $themename = 'Dzonia Responsive Theme Pro';
        $shortname = "of";
// Populate OptionsFramework option in array for use in theme
        global $of_options;
        $of_options = get_option('of_options');
        $file_rename = array("on" => "On", "off" => "Off");
        //Option for on off
        $full_col = array("on" => "On", "off" => "Off");
        $cols_three = array("on" => "On", "off" => "Off");
//Stylesheet Reader
        $alt_stylesheets = array("none" => "none", "green" => "green", "blue" => "blue", "black" => "black", "darkcyan" => "darkcyan", "magenta" => "magenta", "orange" => "orange", "red" => "red", "yellow" => "yellow");
// Test data
        $test_array = array("one" => "One", "two" => "Two", "three" => "Three", "four" => "Four", "five" => "Five");
// Multicheck Array
        $multicheck_array = array("one" => "French Toast", "two" => "Pancake", "three" => "Omelette", "four" => "Crepe", "five" => "Waffle");
// Multicheck Defaults
        $multicheck_defaults = array("one" => "1", "five" => "1");
// Background Defaults
        $background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat', 'position' => 'top center', 'attachment' => 'scroll');
// Pull all the categories into an array
        $options_categories = array();
        $options_categories_obj = get_categories();
        foreach ($options_categories_obj as $category) {
            $options_categories[$category->cat_ID] = $category->cat_name;
        }
// Pull all the pages into an array
        $options_pages = array();
        $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
        $options_pages[''] = 'Select a page:';
        foreach ($options_pages_obj as $page) {
            $options_pages[$page->ID] = $page->post_title;
        }
// If using image radio buttons, define a directory path
        $imagepath = get_template_directory_uri() . '/images/';
        $options = array();
        $options[] = array("name" => "General Settings",
            "type" => "heading");
        //Cuscom Logo
        $options[] = array("name" => "Custom Logo",
            "desc" => "Choose your own logo. Optimal Size: 170px Wide by 30px Height",
            "id" => "inkthemes_logo",
            "type" => "upload");
        //Custom Favicon
        $options[] = array("name" => "Custom Favicon",
            "desc" => "Specify a 16px x 16px image that will represent your website's favicon.",
            "id" => "inkthemes_favicon",
            "type" => "upload");
        //Google Analytic
        $options[] = array("name" => "Google Analytic Code",
            "desc" => "Paste your Google Analytics (or other) tracking code here.",
            "id" => "inkthemes_analytics",
            "std" => "",
            "type" => "textarea");
        //Body Background
        $options[] = array("name" => "Body Background Image",
            "desc" => "Select image to change your website background",
            "id" => "inkthemes_bodybg",
            "std" => "",
            "type" => "upload");
        $options[] = array("name" => "Front Page On/Off",
            "desc" => "Check on for enabling front page or check off for enabling blog page in front page",
            "id" => "re_nm",
            "std" => "on",
            "type" => "radio",
            "options" => $file_rename);
//****=============================================================================****//
//****-----------This code is used for creating slider settings--------------------****//							
//****=============================================================================****//						
          $options[] = array("name" => "Slider Settings",
            "type" => "heading");
		//Slider Speed Setting	
		$options[] = array("name" => "Slider Speed",
            "desc" => "Set the speed of the slider in milliseconds. For e.g. if you want to set the speed of the slider for 8 seconds then enter 8000 in the field or if you want to set the slider speed for 2.5 seconds then enter 2500 in the field.",
            "id" => "inkthemes_slide_speed",
            "std" => "5000",
            "type" => "text");
        //First slider
        $options[] = array("name" => "Slide 1 Image",
            "desc" => "Choose Image for your Slide1. Optimal Size: 950px x 350px",
            "id" => "inkthemes_slideimage1",
			"std" => "",
            "type" => "upload");
        $options[] = array("name" => "Slide 1 Caption Heading",
            "desc" => "Enter the Heading for Slide1 Caption",
            "id" => "inkthemes_slideheading1",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 1 Caption Description",
            "desc" => "Enter description for Slide1 Caption",
            "id" => "inkthemes_slidedescription1",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 1 Link",
            "desc" => "Enter the Link URL for Slide 1",
            "id" => "inkthemes_slidelink1",
            "std" => "",
            "type" => "text");
        //Slider Separetor
          $options[] = array("name" => "Second Slider Starts From Here.",
            "type" => "saperate",
             "class" => "saperator");
        //Second Slider
        $options[] = array("name" => "Slide 2 Image",
            "desc" => "Choose Image for your Slider. Optimal Size: 950px x 350px",
            "id" => "inkthemes_slideimage2",
            "type" => "upload");
        $options[] = array("name" => "Slide 2 Caption Heading",
            "desc" => "Enter the Heading for Slide 2 caption",
            "id" => "inkthemes_slideheading2",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 2 Caption Description",
            "desc" => "Enter description for Slide 2 caption",
            "id" => "inkthemes_slidedescription2",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 2 Link",
            "desc" => "Enter the Link URL for Slide 2",
            "id" => "inkthemes_slidelink2",
            "std" => "",
            "type" => "text");
        //Slider Separetor
          $options[] = array("name" => "Third Slider Starts From Here.",
            "type" => "saperate",
             "class" => "saperator");
        //Third Slider
        $options[] = array("name" => "Slide 3 Image",
            "desc" => "Choose Image for your Slider. Optimal Size: 950px x 350px",
            "id" => "inkthemes_slideimage3",
			"std" => "",
            "type" => "upload");
        $options[] = array("name" => "Slide 3 Caption Heading",
            "desc" => "Enter the Heading for Slide3 Caption",
            "id" => "inkthemes_slideheading3",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 3 Caption Description",
            "desc" => "Enter description for Slide3",
            "id" => "inkthemes_slidedescription3",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 3 Link",
            "desc" => "Enter the Link URL for Slide 3",
            "id" => "inkthemes_slidelink3",
            "std" => "",
            "type" => "text");
        //Slider Separetor
          $options[] = array("name" => "Fourth Slider Starts From Here.",
            "type" => "saperate",
             "class" => "saperator");
        //Fourth Slider
        $options[] = array("name" => "Slide 4 Image",
            "desc" => "Choose Image for your Slider. Optimal Size: 950px x 350px",
            "id" => "inkthemes_slideimage4",
			"std" => "",
            "type" => "upload");
        $options[] = array("name" => "Slide 4 Caption Heading",
            "desc" => "Enter the Heading for Slide4 Caption",
            "id" => "inkthemes_slideheading4",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 4 Caption Description",
            "desc" => "Enter description for Slide4",
            "id" => "inkthemes_slidedescription4",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 4 Link",
            "desc" => "Enter the Link URL for Slide 4",
            "id" => "inkthemes_slidelink4",
            "std" => "",
            "type" => "text");
			 //Slider Separetor
          $options[] = array("name" => "Fifth Slider Starts From Here.",
            "type" => "saperate",
             "class" => "saperator");
        //Fifth Slider
        $options[] = array("name" => "Slide 5 Image",
            "desc" => "Choose Image for your Slider. Optimal Size: 950px x 350px",
            "id" => "inkthemes_slideimage5",
			"std" => "",
            "type" => "upload");
        $options[] = array("name" => "Slide 5 Caption Heading",
            "desc" => "Enter the Heading for Slide5 Caption",
            "id" => "inkthemes_slideheading5",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 5 Caption Description",
            "desc" => "Enter description for Slide5",
            "id" => "inkthemes_slidedescription5",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 5 Link",
            "desc" => "Enter the Link URL for Slide 5",
            "id" => "inkthemes_slidelink5",
            "std" => "",
            "type" => "text");
			 //Slider Separetor
          $options[] = array("name" => "sixth Slider Starts From Here.",
            "type" => "saperate",
             "class" => "saperator");
        //Sixth Slider
        $options[] = array("name" => "Slide 6 Image",
            "desc" => "Choose Image for your Slider. Optimal Size: 950px x 350px",
            "id" => "inkthemes_slideimage6",
			"std" => "",
            "type" => "upload");
        $options[] = array("name" => "Slide 6 Caption Heading",
            "desc" => "Enter the Heading for Slide6 Caption",
            "id" => "inkthemes_slideheading6",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 6 Caption Description",
            "desc" => "Enter description for Slide6",
            "id" => "inkthemes_slidedescription6",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Slide 6 Link",
            "desc" => "Enter the Link URL for Slide 6",
            "id" => "inkthemes_slidelink6",
            "std" => "",
            "type" => "text");
			
//****=============================================================================****//
//****-----------This code is used for creating home page feature content----------****//							
//****=============================================================================****//	
        $options[] = array("name" => "Home Page Settings",
            "type" => "heading");
        //Home page main heading
        $options[] = array("name" => "Home Page Heading Text",
            "desc" => "Enter your heading text for home page",
            "id" => "inkthemes_mainheading",
            "std" => "",
            "type" => "textarea");
        //Homepage Two columns on/off
        $options[] = array("name" => "Homepage Fullwidth Column On/Off",
            "desc" => "Please check on readio button if you want to enable the homepage fullwidth columns, or check if you want to disable it and press save button.",
            "id" => "full_col",
            "std" => "on",
            "type" => "radio",
            "options" => $full_col);
        //Homepage fullwidth column
        $options[] = array("name" => "Homepage Fullwidth Column",
            "desc" => "Enter your text description or put html code for fullwidth column area. Your can also put embed code here.",
            "id" => "full_coldesc",
            "std" => "",
            "type" => "textarea");
//****====================================================================****//
//****-----This code is used for homepage first featured section----------****//							
//****====================================================================****//
        $options[] = array("name" => "Homepage First Featured Section",
            "type" => "heading");
        //First fearure heading  
        $options[] = array("name" => "First Feature Heading",
            "desc" => "Enter your heading line for first feature area",
            "id" => "inkthemes_headline1",
            "std" => "",
            "type" => "textarea");
        //First feature image
        $options[] = array("name" => "First Feature Image",
            "desc" => "Choose image for your first feature area. Optimal size 284px x 123px",
            "id" => "inkthemes_wimg1",
            "std" => "",
            "type" => "upload");
        //First feature content
        $options[] = array("name" => "First Feature Content",
            "desc" => "Enter your feature content for first column",
            "id" => "inkthemes_feature1",
            "std" => "",
            "type" => "textarea");
        //First feature link
        $options[] = array("name" => "First Feature Link",
            "desc" => "Enter your link for first feature area.",
            "id" => "inkthemes_link1",
            "std" => "",
            "type" => "text");
//***Code for second column***//
        //Second feature heading
        $options[] = array("name" => "Second Feature Heading",
            "desc" => "Enter your heading line for second feature area.",
            "id" => "inkthemes_headline2",
            "std" => "",
            "type" => "textarea");
        //Second feature image
        $options[] = array("name" => "Second Feature Image",
            "desc" => "Choose image for your second feature area. Optimal size 284px x 123px.",
            "id" => "inkthemes_fimg2",
            "std" => "",
            "type" => "upload");
        //Second feature content
        $options[] = array("name" => "Second Feature Content",
            "desc" => "Enter your feature content for column second.",
            "id" => "inkthemes_feature2",
            "std" => "",
            "type" => "textarea");
        //Second feature link
        $options[] = array("name" => "Second Feature Link",
            "desc" => "Enter your link for column second feature area.",
            "id" => "inkthemes_link2",
            "std" => "",
            "type" => "text");
//***Code for third column***//	
        //Third feature heading
        $options[] = array("name" => "Third Feature Heading",
            "desc" => "Enter your heading line for third column feature area.",
            "id" => "inkthemes_headline3",
            "std" => "",
            "type" => "textarea");
        //Third feature image
        $options[] = array("name" => "Third Feature Image",
            "desc" => "Choose image for your column thrid feature area. Optimal size 284px x 123px.",
            "id" => "inkthemes_fimg3",
            "std" => "",
            "type" => "upload");
        //Third feature content
        $options[] = array("name" => "Third Feature Content",
            "desc" => "Enter your content for third column feature area.",
            "id" => "inkthemes_feature3",
            "std" => "",
            "type" => "textarea");
        //Third feature link
        $options[] = array("name" => "Third Feature Link",
            "desc" => "Enter your link for column third feature area.",
            "id" => "inkthemes_link3",
            "std" => "",
            "type" => "text");
         $options[] = array("name" => "Homepage Second Featured Section",
            "type" => "heading");
//****====================================================================****//
//****-----This code is used for homepage second featured section---------****//							
//****====================================================================****//    
    //First section
     $options[] = array("name" => "First Feature Section",
            "desc" => "Enter your content for first feature section.",
            "id" => "inkthemes_featured_1",
            "std" => "",
            "type" => "textarea");
        //Second section
//****====================================================================****//
//****-----------This code is used for homepage client testimonial--------****//							
//****====================================================================****//
 //Featured Section Separetor
          $options[] = array("name" => "Testimonial section starts from here in second feature section.",
            "type" => "saperate",
             "class" => "saperator");   
        //First client testimonial heading
        $options[] = array("name" => "First Testimonial Heading",
            "desc" => "Enter first heading descriptions",
            "id" => "inkthemes_testo_heading1",
            "std" => "",
            "type" => "textarea");
        //First client testimonial description
        $options[] = array("name" => "First Testimonial Description",
            "desc" => "Enter frist client testimonial descriptions",
            "id" => "inkthemes_testo_desc1",
            "std" => "",
            "type" => "textarea");
        //Second client testimonial heading
        $options[] = array("name" => "Second Testimonial Heading",
            "desc" => "Enter second heading descriptions",
            "id" => "inkthemes_testo_heading2",
            "std" => "",
            "type" => "textarea");
        //Second client testimonial description
        $options[] = array("name" => "Second Testimonial Description",
            "desc" => "Enter second client testimonial descriptions",
            "id" => "inkthemes_testo_desc2",
            "std" => "",
            "type" => "textarea");
        //Third client testimonial heading
        $options[] = array("name" => "Thrid Testimonial Heading",
            "desc" => "Enter third heading descriptions",
            "id" => "inkthemes_testo_heading3",
            "std" => "",
            "type" => "textarea");
        //Third client testimonial description
        $options[] = array("name" => "Third Testimonial Description",
            "desc" => "Enter third client testimonial descriptions",
            "id" => "inkthemes_testo_desc3",
            "std" => "",
            "type" => "textarea");
         //Featured Section Separetor
          $options[] = array("name" => "Third Feature Section Right Column.",
            "type" => "saperate",
             "class" => "saperator"); 
        //Third section
     $options[] = array("name" => "Third Feature Section",
            "desc" => "Choose your image for third feature section.",
            "id" => "inkthemes_featured_3",
            "std" => "",
            "type" => "upload");
	
	//Third feature link
        $options[] = array("name" => "Third Feature Link",
            "desc" => "Enter your link for column third feature area.",
            "id" => "inkthemes_feautured_link3",
            "std" => "",
            "type" => "text");		
//****=============================================================================****//
//****-----------This code is used for creating color styleshteet options----------****//							
//****=============================================================================****//				
        $options[] = array("name" => "Styling Options",
            "type" => "heading");
        $options[] = array("name" => "Theme Stylesheet",
            "desc" => "Select your themes alternative color scheme.",
            "id" => "inkthemes_altstylesheet",
            "std" => "none",
            "type" => "select",
            "options" => $alt_stylesheets);
        $options[] = array("name" => "Custom CSS",
            "desc" => "Quickly add some CSS to your theme by adding it to this block.",
            "id" => "inkthemes_customcss",
            "std" => "",
            "type" => "textarea");
//****=============================================================================****//
//****-----------This code is used for creating Footer Settings--------------------****//							
//****=============================================================================****//						
        $options[] = array("name" => "Social Network Icons",
            "type" => "heading");
        $options[] = array("name" => "Linkedin URL",
            "desc" => "Enter your Linkedin URL if you have one",
            "id" => "inkthemes_linked",
            "std" => "",
            "type" => "text");
        $options[] = array("name" => "Flickr URL",
            "desc" => "Enter your Flickr URL if you have one",
            "id" => "inkthemes_flickr",
            "std" => "",
            "type" => "text");
        $options[] = array("name" => "Facebook URL",
            "desc" => "Enter your Facebook URL if you have one",
            "id" => "inkthemes_facebook",
            "std" => "",
            "type" => "text");
        $options[] = array("name" => "Digg URL",
            "desc" => "Enter your Digg URL if you have one",
            "id" => "inkthemes_digg",
            "std" => "",
            "type" => "text");
        $options[] = array("name" => "Youtube URL",
            "desc" => "Enter your Youtube URL if you have one",
            "id" => "inkthemes_youtube",
            "std" => "",
            "type" => "text");
         $options[] = array("name" => "Twitter URL",
            "desc" => "Enter your Twitter URL if you have one",
            "id" => "inkthemes_twitter",
            "std" => "",
            "type" => "text");
          $options[] = array("name" => "Stumbleupon URL",
            "desc" => "Enter your Stumbleupon URL if you have one",
            "id" => "inkthemes_stumble",
            "std" => "",
            "type" => "text");
           $options[] = array("name" => "Skype URL",
            "desc" => "Enter your Skype URL if you have one",
            "id" => "inkthemes_skype",
            "std" => "",
            "type" => "text");
//------------------------------------------------------------------//
//-------------This code is used for creating SEO description-------//							
//------------------------------------------------------------------//						
        $options[] = array("name" => "SEO Options",
            "type" => "heading");
        $options[] = array("name" => "Meta Keywords (comma separated)",
            "desc" => "Meta keywords provide search engines with additional information about topics that appear on your site. This only applies to your home page. Keyword Limit Maximum 8",
            "id" => "inkthemes_keyword",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Meta Description",
            "desc" => "You should use meta descriptions to provide search engines with additional information about topics that appear on your site. This only applies to your home page.Optimal Length for Search Engines, Roughly 155 Characters",
            "id" => "inkthemes_description",
            "std" => "",
            "type" => "textarea");
        $options[] = array("name" => "Meta Author Name",
            "desc" => "You should write the full name of the author here. This only applies to your home page.",
            "id" => "inkthemes_author",
            "std" => "",
            "type" => "textarea");
//------------------------------------------------------------------//
//-------------This code is used for creating Footer Text-----------//							
//------------------------------------------------------------------// 
         $options[] = array("name" => "Footer Setting",
            "type" => "heading");
         $options[] = array("name" => "Copyright Text",
            "desc" => "Write your copyright text.",
            "id" => "inkthemes_cright",
            "std" => "",
            "type" => "textarea");
       
        update_option('of_template', $options);
        update_option('of_themename', $themename);
        update_option('of_shortname', $shortname);
    }
}
?>
