<?php
/*
  Template Name: Contact
 */
?>
<?php
session_start();
$nameError = '';
$emailError = '';
$commentError = '';
if (isset($_POST['submitted'])) {
    if (trim($_POST['contactName']) === '') {
        $nameError = 'Please enter your name.';
        $hasError = true;
    } else {
        $name = trim($_POST['contactName']);
    }
    if (trim($_POST['email']) === '') {
        $emailError = 'Please enter your email address.';
        $hasError = true;
    } else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
        $emailError = 'You entered an invalid email address.';
        $hasError = true;
    } else {
        $email = trim($_POST['email']);
    }
    if (trim($_POST['comments']) === '') {
        $commentError = 'Please enter a message.';
        $hasError = true;
    } else {
        if (function_exists('stripslashes')) {
            $comments = stripslashes(trim($_POST['comments']));
        } else {
            $comments = trim($_POST['comments']);
        }
    }

	if( stripslashes(trim($_POST['vercode']))!=$_SESSION['captcha']){ 
        $captchaError = 'Please enter valid captcha.';
        $hasError = true;
    } else {
        if (function_exists('stripslashes')) {
            $vercode = stripslashes(trim($_POST['vercode']));
        } else {
            $vercode = trim($_POST['vercode']);
        }
    }

    if (!isset($hasError)) {
        $emailTo = get_option('tz_email');
        if (!isset($emailTo) || ($emailTo == '')) {
            $emailTo = get_option('admin_email');
        }
        $subject = '[PHP Snippets] From ' . $name;
        $body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
        $headers = 'From: ' . $name . ' <' . $emailTo . '>' . "\r\n" . 'Reply-To: ' . $email;
        mail($emailTo, $subject, $body, $headers);
        $emailSent = true;
    }
}
?>
<?php get_header(); ?>

<!--Start Page navi bg-->
<div class="page_navi_bg">
  <!--Start Container-->
  <div class="container_24">
    <div class="grid_24">
      <!--Start Page navi-->
      <div class="page_navi">
        <?php if (function_exists('inkthemes_breadcrumbs')) inkthemes_breadcrumbs(); ?>
      </div>
      <!--End Page navi-->
    </div>
  </div>
  <!--End Container-->
</div>
<!--End Page navi bg-->
<!--Start Container-->
<div class="container_24">
<!--Start  content wrapper-->
<div class="grid_24 content_wrapper">
  <div class="grid_18 alpha">
    <!--Start Content-->
    <div class="content">
      <?php if (have_posts())
                    while (have_posts()) : the_post(); ?>
      <?php if (isset($emailSent) && $emailSent == true) { ?>
      <div class="thanks">
        <p>Thanks, your email was sent successfully.</p>
      </div>
      <?php } else { ?>
      <?php the_content(); ?>
      <?php if (isset($hasError) || isset($captchaError)) { ?>
        <p class="error">Sorry, an error occured. </p>
        <?php } ?>
      <form action="<?php the_permalink(); ?>" id="contactForm" method="post">
        <table>
          <tr>
            <td><label for="contactName">Name <span class="required">(required)</span>:</label></td>
            <td><?php if ($nameError != '') { ?>
              <span class="error"> <?php echo $nameError; ?> </span>
              <?php } ?>
              <input type="text" name="contactName" id="contactName" value="<?php if (isset($_POST['contactName']))
                echo $_POST['contactName']; ?>" class="required requiredField" />
            </td>
          </tr>
          <tr>
            <td><label for="email">Email <span class="required">(required)</span>:</label></td>
            <td><?php if ($emailError != '') { ?>
              <span class="error"> <?php echo $emailError; ?> </span>
              <?php } ?>
              <input type="text" name="email" id="email" value="<?php if (isset($_POST['email']))
                echo $_POST['email']; ?>" class="required requiredField email" /></td>
          </tr>
          <tr>
            <td><label for="commentsText">Message <span class="required">(required)</span>:</label></td>
            <td><?php if ($commentError != '') { ?>
              <span class="error"> <?php echo $commentError; ?> </span>
              <?php } ?>
             <textarea name="comments" id="commentsText" rows="20" cols="30" class="required requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?>
</textarea>
		
									   </td>
          </tr>


<tr>
            <td></td>
            <td><script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#refresh_img').click(function(){
		jQuery('#captcha_img').attr('src', '<?php echo get_template_directory_uri()."/functions/captcha.php";?>');
		});
	});
		</script>
<?php
				$cap_path =get_template_directory_uri() . "/functions/captcha.php";
				$refresh_cap_path =get_template_directory_uri() . "/functions/images/reload.png";
				?>
                <span class="captcha_img"><img id="captcha_img"  src="<?php echo $cap_path; ?>"/>
	            <a id="refresh_img" href="javascript:void(0)"><img id="reload_img" src="<?php echo $refresh_cap_path; ?>"/></a></span>
									   </td>
			</tr>
			<tr><td><label>Captcha</label></td>
          
				<td>
                            <input type="text"  name="vercode" id="vercode" value="<?php if (isset($_POST['vercode']))
                        echo $_POST['vercode']; ?>" class="required requiredField message"/>
						<?php if ($captchaError != '') { ?>
                            <span class="error"> <?php echo $captchaError; ?> </span>                            
                        <?php } ?>
                                                
                                </td></tr>



          <tr>
            <td></td>
            <td><input class="submit" type="submit" value=""/></td>
          </tr>
        </table>
        <input type="hidden" name="submitted" id="submitted" value="true" />
      </form>
      <?php } ?>
      <?php endwhile; ?>
    </div>
    <!--End Content-->
  </div>
  <div class="grid_6 omega">
    <?php get_sidebar(); ?>
  </div>
</div>
<!--End Content Wrapper-->
<?php get_footer(); ?>
